Update deal
PATCH
/v1/crm/deals/{dealID}Authorization
bearerAuthbearerAuthrequiredor
apiKeyAuthapiKeyAuthrequiredPath parameters
dealIDstringrequiredRequest body
requiredapplication/jsonamountstringcurrencystringcustom_fieldsanyexpected_close_atstringmetadataanyowner_user_idstringstage_idstringstatusstringtitlestringrequiredResponses
200OK
amount_in_home_currencystringrequiredamount_minorstringrequiredcreated_atstringrequiredcurrency_codestringrequiredcustom_fieldsanyrequireddisplay_currencystringrequireddisplay_currency_minorstringrequireddisplay_currency_unitinteger<int64>requiredexpected_close_atstringrequiredhome_currency_at_writestringrequiredidstringrequiredmetadataanyrequiredminor_unitinteger<int64>requiredowner_user_idstring | nullrequiredsource_conversation_idstring | nullrequiredstage_idstring | nullrequiredstatusstringrequiredtitlestringrequiredupdated_atstringrequired400Bad Request
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring401Unauthorized
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring403Forbidden
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring404Not Found
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring422Unprocessable Entity
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstring500Internal Server Error
errorErrorBodyrequiredShow propertiesHide properties
codestringrequireddetailsErrorDetail[] | nullShow propertiesHide properties
Array of
ErrorDetailcodestringfieldstringlocationstringmessagestringrequiredmessagestringrequiredrequest_idstringRequest
curl -X PATCH "/v1/crm/deals/string" \
-H "Content-Type: application/json" \
-d '{
"amount": "string",
"currency": "string",
"custom_fields": "string",
"expected_close_at": "string",
"metadata": "string",
"owner_user_id": "string",
"stage_id": "string",
"status": "string",
"title": "string"
}'const response = await fetch("/v1/crm/deals/string", {
method: "PATCH",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"amount": "string",
"currency": "string",
"custom_fields": "string",
"expected_close_at": "string",
"metadata": "string",
"owner_user_id": "string",
"stage_id": "string",
"status": "string",
"title": "string"
})
});import requests
response = requests.patch(
"/v1/crm/deals/string",
headers={
"Content-Type": "application/json"
},
json={
"amount": "string",
"currency": "string",
"custom_fields": "string",
"expected_close_at": "string",
"metadata": "string",
"owner_user_id": "string",
"stage_id": "string",
"status": "string",
"title": "string"
},
)Response
{
"amount_in_home_currency": "string",
"amount_minor": "string",
"created_at": "string",
"currency_code": "string",
"custom_fields": "string",
"display_currency": "string",
"display_currency_minor": "string",
"display_currency_unit": 0,
"expected_close_at": "string",
"home_currency_at_write": "string",
"id": "string",
"metadata": "string",
"minor_unit": 0,
"owner_user_id": "string",
"source_conversation_id": "string",
"stage_id": "string",
"status": "string",
"title": "string",
"updated_at": "string"
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}{
"error": {
"code": "string",
"details": [
{
"code": "string",
"field": "string",
"location": "string",
"message": "string"
}
],
"message": "string",
"request_id": "string"
}
}